Bug 61082 - Keyboard is unresponsive after starting gnome with ssh-agent with updated openssh 3.1p1-2
Summary: Keyboard is unresponsive after starting gnome with ssh-agent with updated ope...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-13 09:16 UTC by Matt
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 12:53:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt 2002-03-13 09:16:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
I use the line

exec /usr/bin/ssh-agent $HOME/.Xclients-default

in my .Xclients file so that gnome prompts me for my passphrase when I start X. 
After updating to openssh 3.1p1-2 the box that asks for the passphrase flashes
up briefly, but then disappears leaving my usual desktop.  However, it is then
impossible to enter text in any window, although pasting still works.

Removing ssh-agent from .Xclients fixes the keyboard problem.

Version-Release number of selected component (if applicable):
3.1p1-2

How reproducible:
Always

Steps to Reproduce:
1.Add exec /usr/bin/ssh-agent $HOME/.Xclients-default to .Xclients
2.Run startx
	

Actual Results:  As described above

Expected Results:  Should have been able to enter passphrase into prompt, and
the keyboard should work

Additional info:

Downgrading to the previous version of openssh resolves this problem.

Comment 1 Ronald Cole 2002-05-28 05:36:26 UTC
For some reason, the window that gnome-ask-password throws up gets lost in the
screen redraw when Gnome finishes coming up.  Just type "x" followed by return
and you get the window back with a bad passphrase message (unless your
passphrase is "x").  I have trained myself to just type my passphrase and hit
return.  The window never comes back, but keyboard focus returns.  This must be
a Gnome display bug.

Comment 2 Tomas Mraz 2005-02-03 13:05:57 UTC
Does it still happen with the current Fedora Core?

Comment 3 Tomas Mraz 2005-03-31 12:53:23 UTC
No response, please reopen if still happens with a current FC/RHEL release.
Also in openssh-3.9p1-10 there was applied fix to gnome-ssh-askpass so it's
window is kept above others.



Note You need to log in before you can comment on or make changes to this bug.